Bug 1015915 - Wifi rfkilled, so nm-online waits forever (and won't hit rfkill unblock all)
Wifi rfkilled, so nm-online waits forever (and won't hit rfkill unblock all)
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-10-06 14:17 EDT by tz
Modified: 2014-02-05 17:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-02-05 17:26:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description tz 2013-10-06 14:17:11 EDT
Description of problem:
It gets stuck booting because the wifi is rfkilled on my HP Elitebook 6930p

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Reboot - this will disable wifi before it gets back to the BIOS (and the BIOS won't turn it back on)
2. It gets stuck at nm-online in one of the services.
3. when that times out, it gets the rfkill unblock all in rc.local that turns it on.

Actual results:
It waits preventing unblock

Expected results:
Either the kernel, the kernel module, or something would unblock the interfaces, OR network manager would start up and not wait for these optional interfaces or there would be an easy config to bypass them.

Additional info:
Comment 1 Fedora End Of Life 2013-12-21 09:38:49 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:26:54 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.